<?php
include 'func.php';
// Seitenkopf
func::showHeader("Systeminformation");

$db = new dbfunc();
$db->connect();
$sysvalues = $db->system_getall();

$host  = htmlspecialchars($_SERVER["HTTP_HOST"]);
$uri   = rtrim(dirname(htmlspecialchars($_SERVER["PHP_SELF"])), "/\\");
	
session_start();
if(isset($_SESSION["login"]) && $_SESSION["login"]=="ok")
{
	echo '<table border="1" cellpadding="0" cellspacing="0">';
	echo '<tr>';
	echo '<td height="50" align="center" width="250"><b>Beschreibung</b></td>';
	echo '<td height="50" align="center" width="75" ><b>Zustand</b></td>';
	echo '</tr>';
	
	foreach($sysvalues as $value)
	{
		echo "<tr>";
		echo '<td height="50" align="center">'.$value["val_name"].'</a></td>';
		echo '<td height="50" align="center">';
		if($value["val_int"] == 1)			
			echo '<a href=http://'.$host.$uri.'/system_docmd.php?cmd=0&id='.$value["id"].'><img src="images/led_on.png"/></a>';
		else
			echo '<a href=http://'.$host.$uri.'/system_docmd.php?cmd=1&id='.$value["id"].'><img src="images/led_off.png"/></a>';
		
		echo '</td>';
		echo "</tr>";
	}
	echo '</table>';
	
	
	echo '<table border="1" cellpadding="0" cellspacing="0">';
	echo '<tr>';
	echo '<td height="30" align="center" width="125"><b>Info</b></td>';
	echo '<td height="30" align="center" width="250" ><b>Wert</b></td>';
	echo '</tr>';
	# Abfrage der Daten des RasPi
	$cputemp = func::getCoreTemprature();
	$uptime  = func::formatTimefromSeconds(func::getUptime());
	$serial  = func::getRpiSerial();
	$cpufreq = func::getCpuClock(); 
	$memory  = func::getMemoryUsage(); 
	$cpuavg  = func::getSysLoad();
	$hostname = func::getHostname();
	$hostip  = func::getHostAddr();
	
	echo '<tr>';
	echo '<td height="30" align="center" width="125">RaspBerry Serial</td>';
	echo '<td height="30" align="center" width="250" >'.$serial.'</td>';
	echo '</tr>';
	echo '<tr>';
	echo '<td height="30" align="center" width="125">Host-Name</td>';
	echo '<td height="30" align="center" width="250" >'.$hostname.'</td>';
	echo '</tr>';
	echo '<tr>';
	echo '<td height="30" align="center" width="125">Host-IP</td>';
	echo '<td height="30" align="center" width="250" >'.$hostip.'</td>';
	echo '</tr>';
	echo '<tr>';
	echo '<td height="30" align="center" width="125">CPU-Temp</td>';
	echo '<td height="30" align="center" width="250" >'.$cputemp.' C</td>';
	echo '</tr>';	
	echo '<tr>';
	echo '<td height="30" align="center" width="125">Auslastung</td>';
	echo '<td height="30" align="center" width="250" >'.$cpuavg[0].' > '.$cpuavg[1].' > '.$cpuavg[2].'</td>';
	echo '</tr>';
	echo '<tr>';
	echo '<td height="30" align="center" width="125">CPU Takt</td>';
	echo '<td height="30" align="center" width="250" >'.$cpufreq.' MHz</td>';
	echo '</tr>';
	echo '<tr>';
	echo '<td height="30" align="center" width="125">Online seit</td>';
	echo '<td height="30" align="center" width="250" >'.$uptime.'</td>';
	echo '</tr>';
	echo '<tr>';
	echo '<td height="30" align="center" width="125">Speichernutzung</td>';
	echo '<td height="30" align="center" width="250" >'.$memory["free"].'kB von '.$memory["total"].'kB frei</td>';
	echo '</tr>';
	
	func::showMain();
}
else
{
	func::showLoginFailed();
}
?>